<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'hrm',

    /*
     * Package.
     */
    'package'   => 'chat',

    /*
     * Modules.
     */
    'modules'   => ['chat'],

    
    'chat'       => [
        'model' => [
            'model'                 => \Hrm\Chat\Models\Chat::class,
            'table'                 => 'chats',
            'presenter'             => \Hrm\Chat\Repositories\Presenter\ChatPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'user_id',  'user_type',  'chatable_id',  'chatable_type',  'status',  'details',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'chat/chat',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Hrm',
            'package'   => 'Chat',
            'module'    => 'Chat',
        ],

    ],
];
